Bug 427413 - feature request: usershares support
feature request: usershares support
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: system-config-samba (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Nils Philippsen
Fedora Extras Quality Assurance
: FutureFeature, Reopened
: 517671 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-03 13:06 EST by Jakub 'Livio' Rusinek
Modified: 2016-08-10 08:48 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-08-10 08:48:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jakub 'Livio' Rusinek 2008-01-03 13:06:57 EST
Description of problem:
system-config-samba doesn't support very useful feature of samba: usershares
(non-root, non-config sharing).

Version-Release number of selected component (if applicable):
1.2.58-1
Comment 1 Jakub 'Livio' Rusinek 2008-02-06 08:14:28 EST
you don't like, but I don't care. you should support all options, especially
such useful like usershares, so...

P.I.N.G.
Comment 2 Bug Zapper 2008-05-14 00:16:58 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Sebastian Krämer 2009-03-25 07:43:41 EDT
Hm, indeed it would be nice to have a configuration for that.
I stumbled across this bug looking for "usershare" because I want the thunar-plugin (similar to nautilus-share but for xfce) to setup a share. It took me a while to find all the necessary steps in the samba documentation.
A little help from the system (f10 here) would be nice. (By the way, there appears to be no system-config-samba on my system -- samba is installed.)
Comment 4 Nils Philippsen 2009-04-06 06:13:23 EDT
Bump version to Rawhide, after this feature request popped up on fedora-devel list.
Comment 5 Muayyad Alsadi 2009-04-07 12:56:21 EDT
we request the following things:
1. system-config-samba have a tab to enable/disable user shares and when enabled it should be able to set the following options
usershare max shares = 100
usershare allow guests = yes
usershare owner only = no
maybe it should mkdir/chown/chmod /var/lib/samba/usershare
2. the default smb.conf should have it enabled by default [but if 1 is done, then this is not a must]
3. apply my patch to nautilus-share https://bugzilla.redhat.com/show_bug.cgi?id=477329
the .src.rpm can be found on ojuba.org site
http://www.ojuba.org/downloads/releases/2/Everything/source/SRPMS/nautilus-share-0.7.2-14.oj2.src.rpm

oj2 is based on F10
Comment 6 Sebastian Krämer 2009-04-07 13:04:58 EDT
(In reply to comment #5)
> we request the following things:
> 1. system-config-samba have a tab to enable/disable user shares and when
> enabled it should be able to set the following options
> usershare max shares = 100
> usershare allow guests = yes
> usershare owner only = no
> maybe it should mkdir/chown/chmod /var/lib/samba/usershare

Enabling usershare withouth defining a path and setting up that path doesn't make much sense IMO. You would expect usershares to work simply by using system-config-samba while it won't if it doesn't do the additional steps.
Also, what about a usershare group?

> 2. the default smb.conf should have it enabled by default [but if 1 is done,
> then this is not a must]

I'm not sure if enabling by default is what people want. However, if you do it, you should still restrict it to members of a usershare group I guess.
Comment 7 Muayyad Alsadi 2009-04-07 13:32:24 EDT
the path is defined to be /var/lib/samba/usershare and in ojuba 2 it's created and owned by samaba-common package

and regarding the usershare group, if you mean the group owning the path, then I made it 1777 like /tmp
as our target users are home users

> I'm not sure if enabling by default is what people want.

ok, then it's like this, it's disabled by default but s-c-samba can enable it [on admin request] and create the path and do all necessary steps like creating the group ..etc.
Comment 8 Bug Zapper 2009-06-09 05:23:58 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2010-04-27 07:52:15 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2010-06-28 06:31:16 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 11 Nils Philippsen 2010-06-28 12:29:09 EDT
Mark this potential future feature to at least keep it open.
Comment 12 Jaromír Končický 2014-03-19 10:51:42 EDT
*** Bug 517671 has been marked as a duplicate of this bug. ***
Comment 13 Jaromír Končický 2014-03-19 10:55:56 EDT
I found bug 517671 being practically a duplicate of this so I closed it.
However in bug 517671 Muayyad Alsadi created a patch which adds a new configuration tab for user shares (it's only UI sample which needs to be connected with some code). It could be really useful for implementing this feature, so don't forget about it.
Comment 14 Andrew Cook 2015-08-20 19:15:37 EDT
There's a nautilus plugin for user shares, very useful if for moving files to/from windows machines.

could enable user shares by hand but would rather upstream support
Comment 15 Nils Philippsen 2016-08-10 08:48:35 EDT
Thanks for taking the time to submit this request for enhancement.
Unfortunately, I haven't gotten around to implement this feature, sorry for
that.

Because I don't actively develop system-config-samba anymore, I won't likely
find the time to work on this ticket, so I'll close this bug now.

Note You need to log in before you can comment on or make changes to this bug.